SKB_PAD(9)

NAME
skb_pad - zero pad the tail of an skb

SYNOPSIS

struct sk_buff * skb_pad (struct sk_buff * skb, int pad);

ARGUMENTS

skb buffer to pad

pad space to pad

DESCRIPTION

Ensure that a buffer is followed by a padding area that is zero filled. Used by network drivers which may DMA or transfer data beyond the buffer end onto the wire.

May return NULL in out of memory cases.